# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{11,12,13} )

inherit distutils-r1

DESCRIPTION="python library for anidb udp API"
HOMEPAGE="https://github.com/winterbird-code/adbb"
if [[ ${PV} == *9999 ]] ; then
	EGIT_REPO_URI="https://github.com/winterbird-code/adbb.git"
	inherit git-r3
	KEYWORDS="~amd64"
else
	SRC_URI="https://github.com/winterbird-code/adbb/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
	S="${WORKDIR}/adbb"
	KEYWORDS="amd64"
fi


RESTRICT="mirror"
LICENSE="GPL-3"
SLOT="0"
IUSE=""

DEPEND="
	dev-python/sqlalchemy
	dev-python/pycryptodome"
RDEPEND="${DEPEND}"
BDEPEND=""
